org.eclipse.gef.mvc.fx.operations

## Class ForwardUndoCompositeOperation

- java.lang.Object
- - org.eclipse.core.commands.operations.AbstractOperation
  - - org.eclipse.gef.mvc.fx.operations.AbstractCompositeOperation
    - - org.eclipse.gef.mvc.fx.operations.ForwardUndoCompositeOperation

All Implemented Interfaces:
  ICompositeOperation, IUndoableOperation, ITransactionalOperation

    public class ForwardUndoCompositeOperation
    extends AbstractCompositeOperation

The `ForwardUndoCompositeOperation` is an `AbstractCompositeOperation` which undoes its combined operations in the same order as they are executed.

### Constructor Summary

Constructors
Constructor and Description
`ForwardUndoCompositeOperation(String label)` Creates a new `ForwardUndoCompositeOperation` with the given label.

### Method Summary

### Methods inherited from class org.eclipse.gef.mvc.fx.operations.AbstractCompositeOperation

`add, addAll, addContext, canExecute, canRedo, canUndo, combine, execute, getOperations, isContentRelevant, isEmpty, isNoOp, redo, remove, undo, unwrap`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`dispose, getContexts, getLabel, hasContext, removeContext`

### Constructor Detail

#### ForwardUndoCompositeOperation

    public ForwardUndoCompositeOperation(String label)

Creates a new `ForwardUndoCompositeOperation` with the given label.

Parameters:
  `label` - The label of this operation.